- Main Page
- Modules
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# rlog::RLogData Struct Reference

Data published through RLogNode. More...

`#include <rlog/RLogNode.h>`

List of all members.

## Public Attributes
PublishLoc * | publisher
time_t | time
| time of publication
const char * | msg
| formatted msg - gets destroyed when publish() call returns.
std::set< RLogNode * > | seen

## Detailed Description

Data published through RLogNode.

RLogData is the data which is published from rDebug(), rWarning(), rError() and rLog() macros. It contains a link to the publisher, the (approximate) time of the publication, and the formatted message.

Note that none of the data in the publication is considered to be static. Once control has returned to the publisher, the data may be destroyed. If it is necessary to hang on to any of the data, a deep copy must be made.

The documentation for this struct was generated from the following file:

- RLogNode.h